* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
  overflow: hidden;
  font-family: 'Roboto', sans-serif;
}

body {
  width: 100vw;
  height: 100svh;
  background-color: black;
  display: flex;
  justify-content: center;

  --borderCol: rgb(66, 66, 66);
  --blue: #009FE3;
  --offWhite: rgb(230, 230, 230);
}

#app {
  width: 100%;
  height: 100%;
  background-color: var(--offWhite);
  display: grid;
  grid-template-rows: 9svh 1fr;
  max-width: 756px;
}

#header {
  background-color: rgb(255, 255, 255);
  display: flex;
  width: 100%;
  justify-content: center;
  padding: 0.5rem;
  text-align: center;
}

.header-div, .extra {
  text-align: center;
}

.logo {
  height: 100%;
}

#valetTypes {
  width: 100%;
  display: flex;
  justify-content: space-evenly;
  padding-bottom: 1rem;
}

#pricelist {
  background-color: rgb(236, 235, 235);
  padding: 0.5rem;
  display: flex;
  flex-direction: column;
  gap: 1rem;
  overflow-y: auto;
}

#pricelist > * {
  flex-shrink: 0;
}

::-webkit-scrollbar {
  display: none;
}

.card, .price-table, .extras-div, #info {
  width: 100%;
  background-color: rgb(255, 255, 255);
  display: grid;
  grid-template-columns: 1fr;
  padding: 0.5rem;
  border-radius: 0.5rem;
  /* box-shadow: 0.5rem 0.5rem 2rem 0.001rem rgb(0, 0, 0); */
}

.row, .headerRow {
  display: grid;
  grid-template-columns: 4fr 1fr 1fr 1fr;
  padding: 0.35rem 0;

}

.row:nth-child(odd) {
  background-color: rgb(228, 228, 228);
}

/* .row > *:nth-child(even) {
  border-left: 0.125rem solid var(--borderCol);
  border-right: 0.125rem solid var(--borderCol);
}

.headerRow>:nth-child(2) {
  border: 0.125rem solid var(--borderCol);
  border-radius: 0.5rem 0 0 0 ;
}
.headerRow>:nth-child(3) {
  border-top: 0.125rem solid var(--borderCol);
  border-bottom: 0.125rem solid var(--borderCol);

}
.headerRow>:nth-child(4) {
  border: 0.125rem solid var(--borderCol);
  border-radius: 0 0.5rem 0 0 ;
} */

.name {
  padding-left: 0.5rem;
}

.extras-div {
  grid-template-columns: 8fr 1fr;
}

.tickbox {
  text-align: center;
}

#footer {
  display: flex;
  justify-content: center;
  gap: 0.5rem;
  padding: 0.5rem;
}

#footer > * {
  flex-grow: 1;
  border-radius: 0.5rem;
  /* box-shadow: 0.25rem 0.25rem 1rem 0.001rem rgb(0, 0, 0); */
}

#info {
  text-align: center;
  width: 100%;
  display: block;
}

.footer-button {
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 2rem;
  padding: 0.5rem;
}

h2 {
  text-align: center;
  padding: 1rem 0;
  background-color: var(--blue);
  border-radius: 0.5rem ;
  color: white;
  margin-bottom: 0.5rem;
}

#promo {
  display: flex;
  justify-content: center;
  align-items: center;
  background-image: url('/img/promo.jpg');
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  padding: 1rem;
  text-align: center;
  min-height: 30vh;
}

#promocontent {
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-evenly;
  color: white;
  background-color: rgba(0, 0, 0, 0.459);
  border-radius: 0.5rem;
}

#multiBuy {
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 1rem;
  text-align: center;
  background-color: var(--blue);
  color: white;
  animation: pulse 2s infinite;
}

@keyframes pulse {
  0% {
    transform: scale(1);
  }
  50% {
    transform: scale(1.1);
  }
  100% {
    transform: scale(1);
  }
}